Name: zug
Version: 0.1.1
Release: 1%{?dist}
Summary: Transducers for C++
License: BSL-1.0
URL: https://github.com/arximboldi/zug
Source0: https://github.com/arximboldi/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: boost-devel
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: catch2-devel
BuildArch: noarch

%description
zug is a C++ library providing transducers. Transducers are composable
sequential transformations independent of the source. They can be used to
express algorithms over pull-based sequences (iterators, files) but also push
based sequences (signals, events, asynchronous streams) in a generic way.

%package devel
Summary: Transducers for C++

%description devel
zug is a C++ library providing transducers. Transducers are composable
sequential transformations independent of the source. They can be used to
express algorithms over pull-based sequences (iterators, files) but also push
based sequences (signals, events, asynchronous streams) in a generic way.

%prep
%autosetup -p1

sed -i 's#lib/cmake/Zug#%{_lib}/cmake/Zug#' CMakeLists.txt

%build
%cmake -Dzug_BUILD_EXAMPLES=FALSE \
       -Dzug_BUILD_DOCS:BOOL=FALSE

%cmake_build

%install
%cmake_install

%check
%__cmake --build "%{__cmake_builddir}" %{?_smp_mflags} -t check
#cd %{__cmake_builddir} && make %{?_smp_mflags} check

%files devel
%license LICENSE
%doc README.rst
%{_includedir}/zug/
%{_libdir}/cmake/Zug/

%changelog
* Tue Jan 02 2024 Than Ngo <than@redhat.com> - 0.1.1-1
- initial rpm

